Index: dvblast.h
===================================================================
--- dvblast.h	(revision 63)
+++ dvblast.h	(working copy)
@@ -65,7 +65,7 @@
     dvbpsi_psi_section_t *p_pmt_section;
     uint8_t i_pmt_version, i_pmt_cc;
     dvbpsi_psi_section_t *p_sdt_section;
-    uint8_t i_sdt_cc;
+    uint8_t i_sdt_version, i_sdt_cc;
     uint8_t i_eit_cc;
     uint16_t i_ts_id;
 
Index: output.c
===================================================================
--- output.c	(revision 63)
+++ output.c	(working copy)
@@ -91,6 +91,7 @@
     p_output->i_eit_cc = rand() & 0xf;
     p_output->i_pat_version = rand() & 0xff;
     p_output->i_pmt_version = rand() & 0xff;
+    p_output->i_sdt_version = rand() & 0xff;
     p_output->p_pat_section = NULL;
     p_output->p_pmt_section = NULL;
     p_output->p_sdt_section = NULL;
Index: demux.c
===================================================================
--- demux.c	(revision 63)
+++ demux.c	(working copy)
@@ -848,6 +848,7 @@
     if ( p_output->p_sdt_section != NULL )
         dvbpsi_DeletePSISections( p_output->p_sdt_section );
     p_output->p_sdt_section = NULL;
+    p_output->i_sdt_version++;
 
     if ( !p_output->i_sid ) return;
     if ( p_current_sdt == NULL ) return;
@@ -871,12 +872,12 @@
 
     if ( b_unique_tsid )
         dvbpsi_InitSDT( &sdt, p_output->i_ts_id,
-                        p_current_sdt->i_version,
+                        p_output->i_sdt_version,
                         p_current_sdt->b_current_next,
                         p_current_sdt->i_network_id );
     else
         dvbpsi_InitSDT( &sdt, p_current_sdt->i_ts_id,
-                        p_current_sdt->i_version,
+                        p_output->i_sdt_version,
                         p_current_sdt->b_current_next,
                         p_current_sdt->i_network_id );
 
